%define name gsf-sharp
%define version 0.3
%define svn 43876
%define release 0.%svn.1mdk

Summary: GSF C# bindings for mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
License: GPL
Group: Development/Other
#Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: libgsf-devel >= 1.11.0
BuildRequires: gtk-sharp-devel
BuildRequires: monodoc
Requires: %mklibname gsf- 1 1

%description
GSF# bindings for mono. Useful for reading and writing structured
files (eg MS OLE and Zip).

%prep
%setup -q -n %name
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %_lib != lib
mkdir %buildroot%_prefix/lib
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
%endif
perl -pi -e "s^%_libdir^%_prefix/lib^" %buildroot%_libdir/pkgconfig/*.pc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%_prefix/lib/mono/gac/%name
%_prefix/lib/mono/gtk-sharp/%name.dll
%_libdir/pkgconfig/%name.pc
%_datadir/gapi/gsf-api.xml

%changelog
* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.3-0.43876.1mdk
- fix pkgconfig for x86_64
- new snapshot

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 0.3-0.43326.2mdk
- directory fix for x86_64

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.3-0.43326.1mdk
- new version

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0-0.39304.1mdk
- initial package
